BBC News Detail
BBC News Detail is used to fetch BBC News article detail data by news detail page URL.
- Fetch BBC News article content by detail page URL
- Support region-based requests
- Return headline, summary, authors, publish time, body content, images, and topic tags
- Accept multiple news detail URLs in one request
Use XCrawl to Fetch BBC News Details
Usage
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY'\
-H 'Content-Type: application/json' \
-d '{
"engine": "bbc_news_detail",
"location": "US",
"news_url_list": [
"https://www.bbc.com/news/articles/c1l9v95qmy4o"
]
}'Request parameter notes:
enginemust bebbc_news_detaillocationspecifies the target regionnews_url_listaccepts one or more BBC News detail page URLs
Response Example
{
"result": [
{
"url": "https://www.bbc.com/news/articles/c1l9v95qmy4o",
"headline": "Iran war triggering Yorkshire Easter staycation boom",
"description": "Yorkshire holiday venue owners say they have seen a \"spike in bookings\" due to the Iran conflict.",
"article_type": "article",
"section_name": "England",
"publisher_name": "BBC News",
"published_at": "2026-03-30T04:58:20.332Z",
"authors": [
{
"name": "Cathy Killick",
"role": "Yorkshire"
}
],
"main_image_url": "https://ichef.bbci.co.uk/news/1024/...",
"topics": [
{
"id": "c0eledl9rlmt",
"title": "Tourism",
"url": "https://www.bbc.com/news/topics/c0eledl9rlmt",
"is_event": false
}
],
"body_text": "Some holiday venues in Yorkshire have reported a surge in demand for Easter bookings...",
"word_count": 428,
"read_time_minutes": 2
}
]
}Parameters
Required Parameters
| Parameter | Type | Description |
|---|---|---|
location | string | Specifies the target region. |
news_url_list | array | Accepts one or more BBC News detail page URLs. |
Parameter Notes
locationdefaults toUSlocationsupports multiple region values such asUS,HK,CA,GB, andJPnews_url_listdefaults to an empty array and should contain BBC News detail page URLs
Response Fields
| Field | Type | Description |
|---|---|---|
url | string | Fetched news detail page URL. |
base_url | string | Base site URL used to normalize relative links. |
page_title | string | HTML page title. |
canonical_url | string | Canonical URL declared by the page. |
article_id | string | BBC article content identifier. |
headline | string | Main headline. |
promo_headline | string | Short promotional headline. |
seo_headline | string | SEO headline. |
description | string | Article summary or standfirst. |
article_type | string | Content type such as article. |
schema_type | string | Schema.org type. |
content_type | string | Normalized content domain or content type. |
section_name | string | Primary section name. |
section_url | string | Primary section URL. |
pillar_name | string | Top-level pillar name. |
pillar_url | string | Top-level pillar URL. |
publisher_name | string | Publisher name. |
publisher_logo_url | string | Publisher logo URL. |
language_code | string | Language code. |
published_at | string | Published time in ISO 8601 format. |
modified_at | string | Modified time in ISO 8601 format. |
published_timestamp_ms | number | Published timestamp in milliseconds. |
modified_timestamp_ms | number | Modified timestamp in milliseconds. |
authors | array | Structured author list. |
author_names | array | Flat author name list. |
main_image_url | string | Main image URL. |
main_image_alt_text | string | Main image alt text. |
main_image_caption | string | Main image caption. |
main_image_width | number | Main image width. |
main_image_height | number | Main image height. |
main_image_original_src | string | Main image original source URL. |
main_image_aspect_ratio | number | Main image aspect ratio. |
topics | array | Topic tag list. |
body_paragraphs | array | Article body paragraph list. |
body_text | string | Joined full body text. |
word_count | number | Approximate word count. |
read_time_minutes | number | Estimated reading time in minutes. |
meta | object | Page metadata. |
Author Fields
Each item in authors[] typically includes:
| Field | Type | Description |
|---|---|---|
name | string | Author name. |
role | string | Author role, location, or byline suffix. |
Topic Fields
Each item in topics[] typically includes:
| Field | Type | Description |
|---|---|---|
id | string | Topic identifier. |
title | string | Topic title. |
url | string | Topic page URL. |
is_event | boolean | Whether the topic is marked as an event topic. |
